org.eclipse.january.dataset

## Interface IDynamicDataset

- All Superinterfaces:
    IDynamicShape, ILazyDataset, IMetadataProvider, INameable, Serializable
  All Known Subinterfaces:
    ILazyWriteableDataset
  All Known Implementing Classes:
    LazyDynamicDataset, LazyWriteableDataset

      public interface IDynamicDataset
      extends ILazyDataset, IDynamicShape

  This interface is intended for data sources that change dynamically. Examples: 1. An image stream from a camera encoded which entire image, changes periodically. 2. An HDF5 dataset which entire shape changes as data is added.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `UNLIMITED` Denotes an unlimited dimension in maximum shape

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getChunking()` Get chunking
    `void` | `setChunking(int... chunks)` Set chunking

    - ### Methods inherited from interface org.eclipse.january.dataset.ILazyDataset

      `addMetadata, clearMetadata, clone, getElementClass, getElementsPerItem, getErrors, getRank, getShape, getSize, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceView, getSliceView, getSliceView, getTransposedView, hasErrors, setErrors, setMetadata, setShape, squeezeEnds`

    - ### Methods inherited from interface org.eclipse.january.dataset.IMetadataProvider

      `getFirstMetadata, getMetadata, getMetadata`

    - ### Methods inherited from interface org.eclipse.january.INameable

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.january.dataset.IDynamicShape

      `addDataListener, fireDataListeners, getDataset, getMaxShape, refreshShape, removeDataListener, resize, setMaxShape, startUpdateChecker`

- - ### Field Detail

    - #### UNLIMITED

          static final int UNLIMITED

      Denotes an unlimited dimension in maximum shape
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getChunking

          int[] getChunking()

      Get chunking
      Returns:
        chunks (can be null)
      Since:
        2.3

    - #### setChunking

          void setChunking(int... chunks)

      Set chunking
      Parameters:
        `chunks` - chunk shape
      Since:
        2.3

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.